#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 utf8-string
version:              1.0.2
visibility:           public
id:                   utf8-string-1.0.2-3J0y0Vz60cv1Vw3n7HISJx
key:                  utf8-string-1.0.2-3J0y0Vz60cv1Vw3n7HISJx
license:              BSD-3-Clause
maintainer:           emertens@galois.com
author:               Eric Mertens
homepage:             https://github.com/glguy/utf8-string/
synopsis:             Support for reading and writing UTF8 Strings
description:
    A UTF8 layer for Strings. The utf8-string
    package provides operations for encoding UTF8
    strings to Word8 lists and back, and for reading and
    writing UTF8 without truncation.

category:             Codec
abi:                  bf8148bc07bb15a245fb83396079d9b4
exposed:              True
exposed-modules:
    Codec.Binary.UTF8.Generic Codec.Binary.UTF8.String
    Data.ByteString.Lazy.UTF8 Data.ByteString.UTF8 Data.String.UTF8

import-dirs:          /usr/lib/ghc-9.8.2/site-local/utf8-string-1.0.2
library-dirs:         /usr/lib/ghc-9.8.2/site-local/utf8-string-1.0.2
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/utf8-string-1.0.2
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/utf8-string-1.0.2
hs-libraries:         HSutf8-string-1.0.2-3J0y0Vz60cv1Vw3n7HISJx
depends:              base-4.19.1.0-inplace bytestring-0.12.1.0-inplace
haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/utf8-string-1.0.2/html/utf8-string.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/utf8-string-1.0.2/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

